# Enum AccessType

java.lang.Object
java.lang.Enum<AccessType>
com.databricks.jdbc.common.AccessType

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessType>`, `java.lang.constant.Constable`

public enum AccessType extends Enum<AccessType>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`READ_ONLY`
`UNKNOWN`
`WRITE`

## Method Summary

Modifier and Type
Method
Description
`static AccessType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AccessType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ_ONLY

public static final AccessType READ_ONLY

### WRITE

public static final AccessType WRITE

### UNKNOWN

public static final AccessType UNKNOWN

## Method Details

### values

public static AccessType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AccessType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null